package com.lightinit.hsdataplatform.service.admin;

import com.lightinit.hsdataplatform.entity.ActivityWithBLOBs;
import com.lightinit.hsdataplatform.entity.BaseExample;
import com.lightinit.hsdataplatform.model.ResultState;
import com.lightinit.hsdataplatform.model.admin.ServiceProviderDataModel;
import com.lightinit.hsdataplatform.model.admin.ServiceProviderSearchModel;
import com.lightinit.hsdataplatform.entity.ServiceProvider;
import java.util.List;

public interface IServiceProvider {
    List<ServiceProvider> queryList(ServiceProviderSearchModel serviceProviderSearchModel, BaseExample.Page page);
    long queryCount(ServiceProviderSearchModel  serviceProviderSearchModel);
    ResultState<Long> add(ServiceProviderDataModel entity);
    ResultState<Long> delete(long id);
    ServiceProvider queryOne(long id);
    ResultState<Long> edit(ServiceProviderDataModel entity);
    ServiceProvider detail(long id);

}
